<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | Navigation Manager - Navman Plugin for Geeklog                            |
// +---------------------------------------------------------------------------+
// | plugins/navman/language/english.php                                       |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2009 dengen - taharaxp AT gmail DOT com                     |
// |                                                                           |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett               -    twillett AT users DOT sourceforge DOT net  |
// | Blaine Lang               -    langmail AT sympatico DOT ca               |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                -    tony AT tonybibbs DOT com                  |
// | Modified by:                                                              |
// | mystral-kk                -    geeklog AT mystral-kk DOT net              |
// | dengen                    -    taharaxp AT gmail DOT com                  |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

$LANG_NAVM = array(
    'display_name'        => 'Navigation',
    'menu_title'          => 'Navman',
    'plugin'              => 'Navigation Manager',
    'access_denied'       => 'Access Denied',
    'access_denied_msg'   => 'Only Root Users have Access to this Page.  Your user name and IP have been recorded.',
    'admin'               => 'Navman Plugin Admin',
    'install_header'      => 'Install/Uninstall the Navman Plugin',
    'installed'           => 'The Plugin is Installed',
    'uninstalled'         => 'The Plugin is Not Installed',
    'install_success'     => 'Installation Successful',
    'install_failed'      => 'Installation Failed -- See your error log to find out why.',
    'uninstall_msg'       => 'The Navman Plugin Successfully Uninstalled',
    'install'             => 'Install',
    'uninstall'           => 'UnInstall',
    'warning'             => 'Warning!  the Navman Plugin is still Enabled',
    'enabled'             => 'Disable the plugin before uninstalling.',
    'readme'              => 'STOP!  Before you press install please read the ',
    'installdoc'          => 'Install Document.',
    'label_home'          => 'Home',

    // for admin
    'manager'             => 'Navigation Manager',
    'move'                => 'Move',
    'order'               => 'Order',
    'id'                  => 'ID',
    'classname'           => 'Class',
    'instructions'        => 'To modify or delete a data, click on that data\'s edit icon below.  To create a new navigation or a new menuitem, click on "Create Navigation" or "Create Menuitem" above.',
    'warning_updated'     => 'Navigation Manager Plugin is updated.',
    'instructions_update' => 'Please update \'navman\' in Plugin Management.',
    'create_navimenu'     => 'Create Navigation',
    'create_menuitem'     => 'Create Menuitem',
    'list_navimenus'      => 'List Navigations',
    'list_menuitems'      => 'List Menuitems',
    'select_mitemgroup'   => 'Select Menuitem Group',
);

$LANG_NAVM_EDITOR = array(
    'confirm'             => $MESSAGE[76],
    'topic'               => $LANG_ADMIN['topic'],
    'menuitemtype'        => $LANG_ADMIN['type'],
    'save'                => $LANG_ADMIN['save'],
    'cancel'              => $LANG_ADMIN['cancel'],
    'delete'              => $LANG_ADMIN['delete'],
    'accessrights'        => $LANG_ACCESS['accessrights'],
    'owner'               => $LANG_ACCESS['owner'],
    'group'               => $LANG_ACCESS['group'],
    'permissions'         => $LANG_ACCESS['permissions'],
    'perm_key'            => $LANG_ACCESS['permissionskey'],
    'permissions_msg'     => $LANG_ACCESS['permmsg'],
    'navmaneditor'        => 'Menuitem Editor',
    'all'                 => 'all',
    'menuitemorder'       => 'Order',
    'navorder'            => 'Order',
    'homeonly'            => 'Homepage Only',
    'menuitemid'          => 'Menuitem ID',
    'nospaces'            => ' (no spaces and must be unique)',
    'includehttp'         => '(include http://)',
    'title_fixation'      => 'Title (Fixation)',
    'title_variable'      => 'Title (Variable)',
    'title_variable_info' => 'You can set an array variable defined in a language file.<br' . XHTML . '>For example, set "MY_WORD[\'label\']" when you make a title "$MY_WORD[\'label\']".',
    'php_function'        => 'PHP Filter Name',
    'php_function_info'   => 'Set "abcd" when you use a PHP function "phpfilter_abcd".',
    'is_enabled'          => 'Enabled',
    'menu_list'           => 'Menu',
    'breadcrumbs_list'    => 'Breadcrumbs',
    'menuitemurl'         => 'URL',
    'icon_url'            => 'Icon URL',
    'icon_url_info'       => '(include http://)',
    'type_gldefault'      => 'Geeklog default',
    'type_plugin'         => 'Plugin',
    'type_custom'         => 'Custom',
    'update'              => 'Update',
    'error_field'         => 'Error Missing Field(s)',
    'message_access1'     => "You are trying to access a menuitem that you don't have rights to.  This attempt has been logged. Please <a href=\"{$_CONF['site_admin_url']}/plugins/navman/index.php\">go back to the Navman administration screen</a>.",
    'message_access2'     => 'Sorry, you do not have access to the Navman administration page.  Please note that all attempts to access unauthorized features are logged',
    'message_access3'     => 'You are trying to delete a menuitem that you don\'t have rights to.  This attempt has been logged. ',
    'move_down'           => 'Move Menuitem Down',
    'move_up'             => 'Move Menuitem Up',
    'access_denied'       => 'Access Denied.',
    'validate_message_3'  => 'You cannot omit input of the Title (Fixation).',
    'validate_message_4'  => 'You cannot omit input of the Menuitem ID.',
    'validate_message_5'  => 'There is already the same Menuitem ID.',
    'validate_message_6'  => 'URL matching string is not right.',
    'validate_message_7'  => 'You cannot omit input of the Navigation Name.',
    'validate_message_8'  => 'You cannot omit input of the Navigation ID.',
    'validate_message_9'  => 'There is already the same Navigation ID.',
    'pattern'             => 'URL matching string',
    'pattern_info'        => 'When the URL of current page matched with this string, "selected" is added to the information of menuitem handed to Geeklog system.<br' . XHTML . '>By utilizing this, the style of the menuitem can be changed.',
    'pattern_nm_info'     => 'When the URL of current page matched with this string, This navigation is done rendering of.<br' . XHTML . '>When this column is empty, the URL is not done matching of.',
    'is_preg'             => 'Regular Expression',
    'parentitemid'        => 'Parent Item ID',
    'class_name'          => 'Class Name',
    'class_name_info'     => 'You can set class names every Menuitem.',
    'template_name'       => 'Template Name',
    'var_name'            => 'Template Var Name',
    'navimenueditor'      => 'Navigation Editor',
    'navimenuid'          => 'Navigation ID',
    'navimenuname'        => 'Navigation Name',
    'render'              => 'Render',
    'render_0'            => 'Multi-level menu',
    'render_1'            => 'Breadcrumbs list',
    'render_for'          => 'Render for',
    'render_for_0'        => 'Header',
    'render_for_1'        => 'Footer',
    'render_for_2'        => 'Block',
    'gid'                 => 'Menuitem Group',
    'opt_match_0'         => 'Match partial',
    'opt_match_1'         => 'Match completely',
    'opt_match_2'         => 'Regular expression',
    'opt_match_title'     => 'Mode',
    'contentid'           => 'Staticpage ID',
    'contentid_info'      => 'Set when using this menuitem as a breadcrumb of a staticpage, and so on.',
);

// Let's define original titles for Variable Modes!
$MY_TITLES = array(
);

// Messages for COM_showMessage the submission form

$PLG_navman_MESSAGE2 = 'Navman data has been successfully saved.';
$PLG_navman_MESSAGE3 = 'Navman data has been successfully deleted.';

// Messages for the plugin upgrade
$PLG_navman_MESSAGE3001 = 'Plugin upgrade not supported.';
$PLG_navman_MESSAGE3002 = $LANG32[9];
$PLG_navman_MESSAGE3011 = 'Plugin upgrade failed.';

// Localization of the Admin Configuration UI
$LANG_configsections['navman'] = array(
    'label' => 'Navman',
    'title' => 'Navman Configuration'
);

$LANG_confignames['navman'] = array(
    'prefix_id'           => 'Prefix to add to ID',
    'tagname'             => 'Autotag Name',
    'templatevar'         => 'Template Var Name',
    'menuitem_group'      => 'Menuitem Group',
    'use_theme'           => 'Use template at the theme',
    'enable_breadcrumbs'  => 'Enabled Breadcrumbs List',
    'current_with_link'   => 'Put link to breadcrumb of current page',
    'show_bc_inhome'      => 'Show breadcrumb in homepage',
    'default_permissions' => 'Navman Default Permissions'
);

$LANG_configsubgroups['navman'] = array(
    'sg_main' => 'Main Settings'
);

$LANG_fs['navman'] = array(
    'fs_main' => 'Navman Main Settings',
    'fs_public' => 'Public Navman List Settings',
    'fs_breadcrumbs' => 'Breadcrumbs List Settings',
    'fs_permissions' => 'Navman Default Permissions'
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['navman'] = array(
    0 => array('True' => 1, 'False' => 0),
    1 => array('True' => TRUE, 'False' => FALSE),
    12 => array('No access' => 0, 'Read-Only' => 2, 'Read-Write' => 3)
);

?>