<?php

// Reminder: always indent with 4 spaces (no tabs).
// +---------------------------------------------------------------------------+
// | Navigation Manager - Navman Plugin for Geeklog                            |
// +---------------------------------------------------------------------------+
// | plugins/navman/language/japanese_utf-8.php                                |
// +---------------------------------------------------------------------------|
// | Copyright (C) 2009 dengen - taharaxp AT gmail DOT com                     |
// |                                                                           |
// | Constructed with the Universal Plugin                                     |
// | Copyright (C) 2002 by the following authors:                              |
// | Tom Willett               -    twillett AT users DOT sourceforge DOT net  |
// | Blaine Lang               -    langmail AT sympatico DOT ca               |
// | The Universal Plugin is based on prior work by:                           |
// | Tony Bibbs                -    tony AT tonybibbs DOT com                  |
// | Modified by:                                                              |
// | mystral-kk                -    geeklog AT mystral-kk DOT net              |
// | dengen                    -    taharaxp AT gmail DOT com                  |
// +---------------------------------------------------------------------------+
// |                                                                           |
// | This program is free software; you can redistribute it and/or             |
// | modify it under the terms of the GNU General Public License               |
// | as published by the Free Software Foundation; either version 2            |
// | of the License, or (at your option) any later version.                    |
// |                                                                           |
// | This program is distributed in the hope that it will be useful,           |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
// | GNU General Public License for more details.                              |
// |                                                                           |
// | You should have received a copy of the GNU General Public License         |
// | along with this program; if not, write to the Free Software Foundation,   |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.           |
// |                                                                           |
// +---------------------------------------------------------------------------+
//

$LANG_NAVM = array(
    'display_name'        => 'ナビゲーション',
    'menu_title'          => 'ナビゲーション',
    'plugin'              => 'ナビゲーション管理',
    'access_denied'       => 'アクセスは拒否されました。',
    'access_denied_msg'   => 'このページにアクセスできるのは、Rootユーザだけです。あなたのユーザ名とIPアドレスは記録されました。',
    'admin'               => 'Navigation Manager プラグイン管理',
    'install_header'      => 'Navigation Manager プラグインのインストール/アンインストール',
    'installed'           => 'Navigation Manager プラグインはインストールされています。',
    'uninstalled'         => 'Navigation Manager プラグインはインストールされていません。',
    'install_success'     => 'Navigation Manager プラグインのインストールに成功しました。',
    'install_failed'      => 'Navigation Manager プラグインのインストールに失敗しました。詳細はエラーログ(error.log)をご覧ください。',
    'uninstall_msg'       => 'Navigation Manager プラグインはアンインストールされました。',
    'install'             => 'インストール',
    'uninstall'           => 'アンインストール',
    'warning'             => '警告！　Navigation Manager プラグインは有効なままです。',
    'enabled'             => 'アンインストールする前に、Navigation Manager プラグインを無効にしてください。',
    'readme'              => 'ちょっと待って！　「インストール」をクリックする前に、お読みください：',
    'installdoc'          => 'インストール手順書',
    'label_home'          => 'ホーム',

    // for admin
    'manager'             => 'ナビゲーション管理',
    'move'                => '移動',
    'order'               => '順番',
    'id'                  => 'ID',
    'classname'           => 'クラス名',
    'instructions'        => 'データを修正、削除する場合は各データの「編集」アイコンをクリックしてください。ナビゲーションまたはメニューアイテムを作成する場合は「ナビゲーションの作成」または「メニューアイテムの作成」をクリックしてください。',
    'warning_updated'     => 'Navigation Manager プラグインは更新されています。',
    'instructions_update' => 'プラグイン管理で \'navman\' の更新を行って下さい。',
    'create_navimenu'     => 'ナビゲーションの作成',
    'create_menuitem'     => 'メニューアイテムの作成',
    'list_navimenus'      => 'ナビゲーションのリスト',
    'list_menuitems'      => 'メニューアイテムのリスト',
    'select_mitemgroup'   => 'メニューアイテムグループの選択',
);

$LANG_NAVM_EDITOR = array(
    'confirm'             => $MESSAGE[76],
    'topic'               => $LANG_ADMIN['topic'],
    'menuitemtype'        => $LANG_ADMIN['type'],
    'save'                => $LANG_ADMIN['save'],
    'cancel'              => $LANG_ADMIN['cancel'],
    'delete'              => $LANG_ADMIN['delete'],
    'accessrights'        => $LANG_ACCESS['accessrights'],
    'owner'               => $LANG_ACCESS['owner'],
    'group'               => $LANG_ACCESS['group'],
    'permissions'         => $LANG_ACCESS['permissions'],
    'perm_key'            => $LANG_ACCESS['permissionskey'],
    'permissions_msg'     => $LANG_ACCESS['permmsg'],
    'navmaneditor'        => 'メニューアイテムの編集',
    'all'                 => 'すべて',
    'menuitemorder'       => '順序',
    'navorder'            => '順序',
    'homeonly'            => 'ホームページのみ',
    'menuitemid'          => 'メニューアイテムID',
    'nospaces'            => '(半角英数字とハイフン)',
    'includehttp'         => '(http:// を含む)',
    'title_fixation'      => 'タイトル（固定）',
    'title_variable'      => 'タイトル（可変）',
    'title_variable_info' => '言語ファイル内で定義されている配列変数を指定します。<br' . XHTML . '>例えば、$MY_WORD[\'label\'] をタイトルにする場合は MY_WORD[\'label\'] を設定します。',
    'php_function'        => 'PHPフィルタ名',
    'php_function_info'   => '関数名 "phpfilter_abcd" の場合は、"abcd"を設定します。',
    'is_enabled'          => '有効',
    'menu_list'           => 'メニュー',
    'breadcrumbs_list'    => 'パンくずリスト',
    'menuitemurl'         => 'URL',
    'icon_url'            => 'アイコンURL',
    'icon_url_info'       => '(http:// を含む)',
    'type_gldefault'      => 'Geeklog default',
    'type_plugin'         => 'Plugin',
    'type_custom'         => 'Custom',
    'update'              => '更新',
    'error_field'         => '未入力または入力が不適切な項目があります',
    'message_access1'     => "管理権限のないメニューアイテムを編集しようとしました。この行為は記録されます。<a href=\"{$_CONF['site_admin_url']}/plugins/navman/index.php\">ナビゲーションの編集</a>画面に戻ってください.",
    'message_access2'     => 'ナビゲーション管理画面へのアクセス権がありません。管理権限のない場所へのアクセスはすべて記録されます。',
    'message_access3'     => '管理権限のないメニューアイテムを削除しようとしました。この行為は記録されます。',
    'move_down'           => 'メニューアイテムを下に',
    'move_up'             => 'メニューアイテムを上に',
    'access_denied'       => 'アクセスが拒否されました',
    'validate_message_3'  => 'タイトル（固定）は省略できません。',
    'validate_message_4'  => 'メニューアイテムIDは省略できません。',
    'validate_message_5'  => 'すでに同じメニューアイテムIDが存在します。',
    'validate_message_6'  => 'URL照合文字列が正しくありません。',
    'validate_message_7'  => 'ナビゲーション名は省略できません。',
    'validate_message_8'  => 'ナビゲーションIDは省略できません。',
    'validate_message_9'  => 'すでに同じナビゲーションIDが存在します。',
    'pattern'             => 'URL照合文字列',
    'pattern_info'        => '表示中のページのURLがこの文字列とマッチした場合は、システムに渡されるメニューアイテムの情報に"selected"が付加されます。<br' . XHTML . '>これを活用するとメニューアイテムのスタイルを変化させることなどが可能になります。<br' . XHTML . '>空欄の場合は、URL照合を行いません。',
    'pattern_nm_info'     => '表示中のページのURLがこの文字列とマッチした場合に、このナビゲーションがレンダリングされます。<br' . XHTML . '>空欄の場合は、URL照合を行いません。',
    'is_preg'             => '正規表現',
    'parentitemid'        => '親アイテムID',
    'class_name'          => 'クラス名',
    'class_name_info'     => 'メニューアイテムごとにクラス名を指定できます。',
    'template_name'       => 'テンプレート名',
    'var_name'            => 'テンプレート変数名',
    'navimenueditor'      => 'ナビゲーションの編集',
    'navimenuid'          => 'ナビゲーションID',
    'navimenuname'        => 'ナビゲーション名',
    'render'              => 'レンダー',
    'render_0'            => '多階層メニュー',
    'render_1'            => 'パンくずリスト',
    'render_for'          => 'レンダリングの対象',
    'render_for_0'        => 'ヘッダー',
    'render_for_1'        => 'フッター',
    'render_for_2'        => 'ブロック',
    'gid'                 => 'メニューアイテムグループ',
    'opt_match_0'         => '部分一致',
    'opt_match_1'         => '完全一致',
    'opt_match_2'         => '正規表現',
    'opt_match_title'     => 'モード',
    'contentid'           => '静的ページID',
    'contentid_info'      => 'このメニューアイテムを静的ページのパンくずとして使用する場合などに設定します。',
);

// 可変モード用のオリジナルタイトルを定義しましょう！
$MY_TITLES = array(
);

// Messages for COM_showMessage the submission form

$PLG_navman_MESSAGE2 = 'ナビゲーションのデータは保存されました。';
$PLG_navman_MESSAGE3 = 'ナビゲーションのデータは削除されました。';

// Messages for the plugin upgrade
$PLG_navman_MESSAGE3001 = 'プラグインのアップグレードはサポートされていません。';
$PLG_navman_MESSAGE3002 = $LANG32[9];
$PLG_navman_MESSAGE3011 = 'プラグインのアップグレードに失敗しました。';

// Localization of the Admin Configuration UI
$LANG_configsections['navman'] = array(
    'label' => 'ナビゲーション',
    'title' => 'ナビゲーションの設定'
);

$LANG_confignames['navman'] = array(
    'prefix_id'           => 'IDに付加するプレフィックス',
    'tagname'             => '自動タグ名',
    'templatevar'         => 'テンプレート変数',
    'menuitem_group'      => 'メニューアイテムグループ',
    'use_theme'           => 'テーマのテンプレートを使う',
    'enable_breadcrumbs'  => 'パンくずリストを有効にする',
    'current_with_link'   => 'カレントのパンくずにリンクを張る',
    'show_bc_inhome'      => 'ホームでパンくずを表示する',
    'default_permissions' => 'パーミッション'
);

$LANG_configsubgroups['navman'] = array(
    'sg_main' => 'メイン'
);

$LANG_fs['navman'] = array(
    'fs_main' => 'ナビゲーションのメイン設定',
    'fs_public' => 'ナビゲーションの表示',
    'fs_breadcrumbs' => 'パンくずリストの表示',
    'fs_permissions' => 'メニューアイテムのデフォルトパーミッション（[0]所有者 [1]グループ [2]メンバー [3]ゲスト）'
);

// Note: entries 0, 1, and 12 are the same as in $LANG_configselects['Core']
$LANG_configselects['navman'] = array(
    0 => array('はい' => 1, 'いいえ' => 0),
    1 => array('はい' => TRUE, 'いいえ' => FALSE),
    12 => array('アクセス不可' => 0, '表示' => 2, '表示・編集' => 3)
);

?>